// 此处第二个参数vm，就是我们在页面使用的this，你可以通过vm获取vuex等操作，更多内容详见uView对拦截器的介绍部分：
// https://uviewui.com/js/http.html#%E4%BD%95%E8%B0%93%E8%AF%B7%E6%B1%82%E6%8B%A6%E6%88%AA%EF%BC%9F
const install = (Vue, vm) => {

	// 将各个定义的接口名称，统一放进对象挂载到vm.$u.api(因为vm就是this，也即this.$u.api)下
	vm.$u.api = {
		// 单据小票统一打印
		toPrint: (params = '') => vm.$u.post(`/Common/Receipt/toPrint`, params),
		//  获取企业基本设置 
		getBasicSetup: (params = '') => vm.$u.get(`/System/BasicSetup/getBasicSetup`, params),
		//新增/修改用户常用应用
		updateCommonApp: (userid, params = '') => vm.$u.put(
			`/SystemSettings/CommonApp/updateCommonApp/${userid}`, params),
		//用户常用应用详情
		getCommonAppInfo: (userid, params = '') => vm.$u.get(
			`/SystemSettings/CommonApp/getCommonAppInfo/${userid}`, params),
		// 生成七牛上传凭证
		uploadToken: (params = '') => vm.$u.post(`/Common/Upload/uploadToken`, params),
		UploadDel: (params = '') => vm.$u.post(`/Common/Upload/delete`, params),
		// 获取分享微信小程序码 //{"path":"/pages/product/product?id=62"}
		createwxaqrcode: (params = '') => vm.$u.post(`/common/login/createwxaqrcode`, params),
		// 首页概况
		overview: (params = '') => vm.$u.post(`/Enterprise/Enterprise/overview`, params),
		// 登录
		login: (params = '') => vm.$u.post(`/UserCenter/UserCenterLogin/login`, params),
		// 获取企业列表
		getAllEnterprise: (params = '') => vm.$u.get(`/Enterprise/UserEnterprise/getAllEnterprise`, params),
		//  当前登录用户的权限
		getAclList: (roleType, params = '') => vm.$u.get(`/Enterprise/UserEnterprise/getAclList/${roleType}`,
			params),
		//  获取当前登录员工信息
		getStaffByToken: (roleType, params = '') => vm.$u.get(
			`/Enterprise/Enterprise/getStaffByToken/${roleType}`, params),
		// 修改密码
		updateUserCenterData: (params = '') => vm.$u.post(`/Enterprise/UserEnterprise/updateUserCenterData`,
			params),
		// 修改账号
		updateUserMobile: (params = '') => vm.$u.post(`/UserCenter/UserCenterRegister/updateUserMobile`,
			params),
		/*------商品------*/
		//  获取所有商品分类
		getAllCategory: (params = '') => vm.$u.post(`/GoodsCategory/GoodsCategory/getAllCategory`, params),
		//  商品资料列表
		getAllGoodsBasic: (params = '') => vm.$u.post(`/GoodsManage/GoodsBasic/getAllGoodsBasic`, params),
		// 商铺下允许销售的商品列表
		getGoodsBasicOfShopId: (params = '') => vm.$u.post(`GoodsManage/GoodsBasic/getGoodsBasicOfShopId`,
			params),
		//  搜索商品列表
		searchGoods: (params = '') => vm.$u.post(`/GoodsManage/GoodsBasic/search`, params),
		// 添加商品(单店铺版新增)
		addBasicAndPublishGoods: (params = '') => vm.$u.post(`/Goods/QuickGoods/addBasicAndPublishGoods`,
			params),
		// 编辑商品(单店铺版编辑)
		editQuickGoods: (params = '') => vm.$u.post(`/Goods/QuickGoods/editQuickGoods`,
			params),
		// 商品详情(单店铺版编辑)
		getQuickGoodsInfo: (id, params = '') => vm.$u.post(`/Goods/QuickGoods/getQuickGoodsInfo/${id}`,
			params),
		//  品牌列表
		getAllBrand: (params = '') => vm.$u.post(`/GoodsManage/GoodsBrand/getAllBrand`, params),
		// 获取计量单位
		getAllUnit: (params = '') => vm.$u.post(`/GoodsManage/Units/getAll`, params),

		// 获取属性列表
		getAllSpecManage: (params = '') => vm.$u.post(`/GoodsManage/SpecManage/getAll`, params),
		// 添加商品基础数据
		addGoodsBasic: (params = '') => vm.$u.post(`/GoodsManage/GoodsBasic/addGoodsBasic`, params),
		// 基础商品资料
		getAllGoodsBasicBySku: (params = '') => vm.$u.post(`GoodsManage/GoodsBasic/getAllGoodsBasicBySku`,
			params),
		//  获取商品基础资料详情
		getGoodsBasicInfoById: (id, params = '') => vm.$u.post(
			`/GoodsManage/GoodsBasic/getGoodsBasicInfoById/${id}`, params),
		// 修改基础商品
		editGoodsBasic: (id, params = '') => vm.$u.put(`/GoodsManage/GoodsBasic/editGoodsBasic/${id}`, params),
		// 商品禁用启用操作
		updateEnableStatusGoods: (params = '') => vm.$u.put(`/GoodsManage/GoodsBasic/updateEnableStatus`,
			params),
		// 商品列表
		getAllGoods: (params = '') => vm.$u.post(`/Goods/Goods/getAllGoods`, params),
		// 商品搜索
		getAllGoodsSearch: (params = '') => vm.$u.post(`/Goods/Goods/search`, params),
		// 添加商品
		addGoods: (params = '') => vm.$u.post(`/Goods/Goods/addGoods`, params),
		// 商品详情
		getGoodsInfo: (id, params = '') => vm.$u.post(`/Goods/Goods/getGoodsInfo/${id}`, params),
		// 商品修改
		editGoods: (id, params = '') => vm.$u.put(`/Goods/Goods/editGoods/${id}`, params),
		// 删除商品
		delGoods: (id, params = '') => vm.$u.get(`/Goods/Goods/delGoods/${id}`, params),
		// 商品上下架
		GoodsUpdateEnableStatus: (params = '') => vm.$u.post(`/Goods/Goods/updateEnableStatus`, params),
		// 商品上下架
		getAllGoodsBySku: (params = '') => vm.$u.post(`/Goods/Goods/getAllGoodsBySku`, params),
		// 根据条码获取商品
		getGoodsByBarCode: (params = '') => vm.$u.post(`/Goods/Goods/getGoodsByBarCode`, params),
		// 获取所有商品服务
		getAllGoodsSupport: (params = '') => vm.$u.post(`Goods/GoodsSupport/getAllGoodsSupport`, params),
		// 新增商品分类
		addCategory: (params = '') => vm.$u.post(`GoodsCategory/GoodsCategory/addCategory`, params),
		// 获取商品分类详情
		getCategoryInfoById: (id, params = '') => vm.$u.get(
			`GoodsCategory/GoodsCategory/getCategoryInfoById/${id}`, params),
		// 修改商品分类
		editCategory: (id, params = '') => vm.$u.put(`GoodsCategory/GoodsCategory/editCategory/${id}`, params),
		// 删除商品分类
		delCategory: (id, params = '') => vm.$u.delete(`GoodsCategory/GoodsCategory/delCategory/${id}`, params),
		/*------客户------*/
		// 新建客户
		addCustomer: (params = '') => vm.$u.post(`/Customer/Customer/addCustomer`, params),
		// 客户详情
		getCustomerInfo: (id, params = '') => vm.$u.get(`/Customer/Customer/getCustomerInfo/${id}`, params),
		// 编辑客户
		editCustomer: (id, params = '') => vm.$u.post(`/Customer/Customer/editCustomer/${id}`, params),
		// 客户列表
		getAllCustomer: (params = '') => vm.$u.post(`/Customer/Customer/getAllCustomer`, params),
		// 客户搜索
		searchCustomer: (params = '') => vm.$u.post(`/Customer/Customer/search`, params),
		// 客户类型无分页
		getCustomerSourceList: (params = '') => vm.$u.post(`/System/CustomerSource/getCustomerSourceList`,
			params),
		// 客户收货地址列表
		getAllShippingAddress: (id, params = '') => vm.$u.post(
			`/Customer/ShippingAddress/getAllShippingAddress/${id}`, params),
		// 客户收货地址添加
		addShippingAddress: (params = '') => vm.$u.post(`/Customer/ShippingAddress/addShippingAddress`, params),
		// 获取指定客户浏览记录
		getCustomerVisitsLogInfo: (params = '') => vm.$u.post(
			`/Customer/CustomerVisitsLog/getCustomerVisitsLogInfo`, params),
		// 客户购买记录
		searchCustomerBuyLog: (params = '') => vm.$u.post(`/Customer/Customer/searchCustomerBuyLog`, params),
		// 客户跟进记录
		getAllCustomerCommunication: (params = '') => vm.$u.post(
			`/Customer/CustomerCommunication/getAllCustomerCommunication`, params),
		// 单个客户跟进记录
		getCustomerCommunication: (id, params = '') => vm.$u.get(
			`/Customer/CustomerCommunication/getCustomerCommunication/${id}`, params),
		// 新增跟进记录
		addCustomerCommunication: (params = '') => vm.$u.post(
			`Customer/CustomerCommunication/addCustomerCommunication`, params),
		// 修改跟进记录
		updateCustomerCommunication: (id, params = '') => vm.$u.put(
			`/Customer/CustomerCommunication/updateCustomerCommunication/${id}`, params),
		// 客户浏览记录
		getAllCustomerVisitsLog: (params = '') => vm.$u.post(
			`/Customer/CustomerVisitsLog/getAllCustomerVisitsLog`, params),
		// 销售排行
		salesManRank: (params = '') => vm.$u.post(`/Customer/Customer/salesManRank`, params),
		// 客户审核
		updateCustomerCheckStatus: (params = '') => vm.$u.post(`/Customer/Customer/updateCustomerCheckStatus`,
			params),
		/*------订单------*/
		//销售退货驳回
		rejectOrderReturn: (params = '') => vm.$u.put(`/Order/OrderReturn/rejectOrderReturn`, params),
		// 退货单的搜索
		searchAllOrderOut: (params = '') => vm.$u.post(`/Order/OrderReturn/searchAllOrderReturn`, params),
		// 销售退货单列表
		getAllOrderReturn: (params = '') => vm.$u.post(`/Order/OrderReturn/getAllOrderReturn`, params),
		// 销售退货审核
		auditOrderOut: (id, params = '') => vm.$u.put(`/Order/OrderReturn/auditOrderReturn/${id}`, params),
		// 删除销售退货单
		deleteOrderOut: (id, params = '') => vm.$u.get(`/Order/OrderReturn/deleteOrderReturn/${id}`, params),
		// 销售退货详情
		getOrderOut: (id, params = '') => vm.$u.get(`/Order/OrderReturn/getOrderReturn/${id}`, params),
		// 销售退货修改
		updateOrderReturn: (id, params = '') => vm.$u.put(`/Order/OrderReturn/updateOrderReturn/${id}`, params),
		// 销售退货添加
		addOrderOut: (params = '') => vm.$u.post(`/Order/OrderReturn/addOrderReturn`, params),
		// 获取订单
		getAllOrder: (params = '') => vm.$u.post(`/Order/Order/getAllOrder`, params),
		// 搜索订单（旧接口，废弃）
		searchOrder: (params = '') => vm.$u.post(`/Order/Order/search`, params),
		// 搜索订单新接口
		keywordSearch: (params = '') => vm.$u.post(`/Order/Order/keywordSearch`, params),
		// 添加订单
		newAddOrder: (params = '') => vm.$u.post(`/Order/Order/add`, params),
		// 新订单编辑
		newOrderEdit: (id, params = '') => vm.$u.post(`/Order/Order/edit/${id}`, params),
		// 订单详情
		getOrderInfoById: (id, params = '') => vm.$u.post(`/Order/Order/getOrderInfoById/${id}`, params),
		// 审核订单
		updateAuditStatus: (id, params = '') => vm.$u.put(`/Order/Order/updateAuditStatus/${id}`, params),
		// 取消订单
		updateOrderStatus: (id, params = '') => vm.$u.put(`/Order/Order/updateOrderStatus/${id}`, params),
		// 驳回订单
		revokeAudit: (id, params = '') => vm.$u.put(`/Order/Order/revokeAudit/${id}`, params),
		// 再次出库
		reStockOut: (id, params = '') => vm.$u.post(`/Order/Order/reStockOut/${id}`, params),
		// 配送方式列表
		getAllDelivery: (params = '') => vm.$u.post(`/System/DeliverySetting/allDelivery`, params),
		// 获取自提点
		getAllSelfExpressRule: (params = '') => vm.$u.get(`/System/DeliverySetting/getAllSelfExpressRule`,
			params),
		/*------组织------*/

		// 部门
		getAllDepartment: (params = '') => vm.$u.post(`/Department/Department/getAllDepartment`, params),
		// 员工
		getAllStaff: (params = '') => vm.$u.post(`/Department/Staff/getAllStaff`, params),
		/*------商铺------*/
		// 商铺列表
		getAllShop: (params = '') => vm.$u.post(`/Shop/Shop/getAllShop`, params),
		// 商铺列表搜索
		shopSearch: (params = '') => vm.$u.post(`/Shop/Shop/search`, params),
		// 获取指定店铺绑定的所有仓库数据
		getShopBindWarehouse: (id, params = '') => vm.$u.post(`/shop/shop/getShopBindWarehouse/${id}`, params),
		/*------设置------*/
		// 支付方式
		getAllPayment: (params = '') => vm.$u.post(`/System/PaymentSetting/getAllPayment`, params),
		// 运费模版
		getAllExpressRule: (params = '') => vm.$u.post(`/System/DeliverySetting/getAllExpressRule`, params),
		/*------采购------*/
		// 供应商管理
		getAllSupplier: (params = '') => vm.$u.post(`/Purchase/Supplier/getAllSupplier`, params),
		// 添加供应商
		addSupplier: (params = '') => vm.$u.post(`Purchase/Supplier/addSupplier`, params),
		// 获取供应商详情
		getSupplierByUserCenterId: (params = '') => vm.$u.get(`/Purchase/Supplier/getSupplierByUserCenterId`,
			params),
		// 编辑供应商
		editSupplier: (id, params = '') => vm.$u.post(`Purchase/Supplier/editSupplier/${id}`, params),
		// 供应商余额表
		getAllSupplierBalanceDetail: (params = '') => vm.$u.post(
			`/Finance/SupplierBalanceDetail/getAllSupplierBalanceDetail`, params),
		// 采购单列表
		getAllPurchase: (params = '') => vm.$u.post(`/Purchase/Purchase/getAllPurchase`, params),
		// 采购单详情
		getPurchaseInfoById: (id, params = '') => vm.$u.get(`/Purchase/Purchase/getPurchaseInfoById/${id}`,
			params),
		// 采购订单详情和批次数据(采购退货单用)
		getPurchaseAndBatchInfoById: (params = '') => vm.$u.post(
			`/Purchase/Purchase/getPurchaseAndBatchInfoById`,
			params),
		// 删除采购单
		delPurchase: (id, params = '') => vm.$u.delete(`/Purchase/Purchase/delPurchase/${id}`,
			params),
		// 采购单审核
		updateAuditStatusPurchase: (id, params = '') => vm.$u.put(`/Purchase/Purchase/updateAuditStatus/${id}`,
			params),
		// 增加采购订单
		addPurchase: (params = '') => vm.$u.put(`/Purchase/Purchase/addPurchase`, params),
		// 编辑采购单
		editPurchase: (id, params = '') => vm.$u.put(`/Purchase/Purchase/editPurchase/${id}`, params),
		// 采购退货单
		getAllPurchaseOut: (params = '') => vm.$u.post(`/Purchase/PurchaseOut/getAllPurchaseOut`,
			params),
		// 采购退货单详情
		getPurchaseOutInfoById: (id, params = '') => vm.$u.get(
			`/Purchase/PurchaseOut/getPurchaseOutInfoById/${id}`,
			params),
		// 采购退货单审核
		updatePurchaseOut: (id, params = '') => vm.$u.put(`/Purchase/PurchaseOut/updateAuditStatus/${id}`,
			params),
		// 删除采购退货单
		delPurchaseOut: (id, params = '') => vm.$u.delete(`/Purchase/PurchaseOut/delPurchaseOut/${id}`,
			params),
		// 编辑采购退货单
		editPurchaseOut: (id, params = '') => vm.$u.put(`/Purchase/PurchaseOut/editPurchase/${id}`, params),
		// 增加采购退货单
		addPurchaseOut: (params = '') => vm.$u.post(`/Purchase/PurchaseOut/addPurchaseOut`, params),

		// 供应商详情
		getSupplierInfoById: (id, params = '') => vm.$u.get(`/Purchase/Supplier/getSupplierInfoById/${id}`,
			params),
		// 供应商状态切换
		SupplierUpdateEnableStatus: (id, params = '') => vm.$u.put(
			`/Purchase/Supplier/updateEnableStatus/${id}`,
			params),
		// 供应商删除
		delSupplier: (id, params = '') => vm.$u.delete(`/Purchase/Supplier/delSupplier/${id}`, params),
		// 获取价格暂存
		getMoneyPauseSave: (params = '') => vm.$u.post(`/Common/PauseSave/getMoneyPauseSave`, params),
		// 换算基本单位sku数量
		getMasterSkuNum: (params = '') => vm.$u.post(`/Stock/Inventory/getMasterSkuNum`, params),
		// 价格暂存添加
		addMoneyPauseSave: (params = '') => vm.$u.post(`/Common/PauseSave/addMoneyPauseSave`, params),
		// 库位列表
		getAllStorageLocation: (params = '') => vm.$u.post(`/Stock/StorageLocation/getAllStorageLocation`,
			params),
		// 库区列表
		getAllReservoir: (params = '') => vm.$u.post(`/Stock/StorageLocation/getAllReservoir`, params),
		/*------财务------*/
		// 收款申请单
		getAllReceiptRequisition: (params = '') => vm.$u.post(
			`/Finance/ReceiptRequisition/getAllReceiptRequisition`, params),
		// 收款申请单详情
		getReceiptRequisitionInfo: (id, params = '') => vm.$u.post(
			`/Finance/ReceiptRequisition/getReceiptRequisitionInfo/${id}`, params),
		// 收款申请单审核
		updateReceiptRequisitionStatus: (params = '') => vm.$u.post(
			`/Finance/ReceiptRequisition/updateReceiptRequisitionStatus`, params),
		// 编辑收款申请单
		editReceiptRequisition: (id, params = '') => vm.$u.post(
			`/Finance/ReceiptRequisition/editReceiptRequisition/${id}`, params),
		// 新增收款申请单
		addReceiptRequisition: (params = '') => vm.$u.post(`/Finance/ReceiptRequisition/addReceiptRequisition`,
			params),
		// 账户列表
		getAllAccount: (params = '') => vm.$u.post(`/Finance/Account/getAllAccount`, params),
		// 客户余额表
		getAllCustomerBalance: (params = '') => vm.$u.post(`Finance/CustomerBalance/getAllCustomerBalance`,
			params),
		// 客户余额明细表
		getAllCustomerBalanceDetail: (params = '') => vm.$u.post(
			`/Finance/CustomerBalanceDetail/getAllCustomerBalanceDetail`, params),
		/*------库存------*/
		// 仓库管理
		getAllWarehouse: (params = '') => vm.$u.post(`/Stock/Warehouse/getAllWarehouse`, params),

		// 库区列表(不分页)
		getListReservoir: (params = '') => vm.$u.post(`/Stock/ReservoirArea/getListReservoir`, params),
		// 出库单
		getAllInventoryOut: (params = '') => vm.$u.post(`/Stock/InventoryOut/getAllInventoryOut`, params),
		// 出库单搜索
		searchAllInventoryOut: (params = '') => vm.$u.post(`/Stock/InventoryOut/searchAllInventoryOut`, params),
		// 出库单详情
		getInventoryOutInfo: (id, params = '') => vm.$u.get(`/Stock/InventoryOut/getInventoryOutInfo/${id}`,
			params),
		// 出库状态修改
		updateSaleOutStatus: (params = '') => vm.$u.post(`/Stock/InventoryOut/updateInventoryOutStatus`,
			params),
		// 根据条码获取出库单商品信息
		getDetailByGoodsCode: (params = '') => vm.$u.post(`/Stock/InventoryOut/getDetailByGoodsCode`,
			params),
		// 入库单
		getAllInventoryIn: (params = '') => vm.$u.post(`/Stock/InventoryIn/getAllInventoryIn`, params),
		// 入库单搜索
		searchAllInventoryIn: (params = '') => vm.$u.post(`/Stock/InventoryIn/searchAllInventoryIn`, params),
		// 入库单详情
		getInventoryInInfo: (id, params = '') => vm.$u.post(`/Stock/InventoryIn/getInventoryInInfo/${id}`,
			params),
		// 入库状态修改
		updateInventoryInStatus: (params = '') => vm.$u.post(`/Stock/InventoryIn/updateInventoryInStatus`,
			params),
		// 库存查询
		getInventoryAll: (params = '') => vm.$u.post(`/Stock/Inventory/getInventoryAll`,
			params),
		// 库存流水搜索
		searchAllInventoryDetails: (params = '') => vm.$u.post(`stock/Inventory/searchAllInventoryDetails`,
			params),
		// 仓库库存
		getInventoryByWarehouseId: (params = '') => vm.$u.post(`stock/Inventory/getInventoryByWarehouseId`,
			params),
		// 库存分布
		getWarehouseInventory: (id, params = '') => vm.$u.post(
			`/Stock/Inventory/getWarehouseInventory/${id}`,
			params),
		// 库区库位By商品
		getAreaDateBySkuId: (params = '') => vm.$u.post(`/Stock/Inventory/getAreaDateBySkuId`, params),
		// 收益
		getStaffInfo: (id, params = '') => vm.$u.post(`Department/Staff/getStaffInfo/${id}`, params),
		/*------司机------*/
		// 司机列表
		getAllDriver: (params = '') => vm.$u.post(`/System/Driver/getAllDriver`, params),
		// 物流信息
		addLogistics: (params = '') => vm.$u.post(`/Order/Order/addLogistics`, params),
		// 出库设置物流信息
		inventoryOutAddLogistics: (params = '') => vm.$u.post(`/Stock/InventoryOut/addLogistics`, params),
		/*------公告------*/
		//公告列表
		getAllAnnouncement: (params = '') => vm.$u.post(`/System/Announcement/getAllAnnouncement`, params),
		// 公告详情
		getAnnouncementInfo: (id, params = '') => vm.$u.get(`/System/Announcement/getAnnouncementInfo/${id}`,
			params),
		// 首页弹窗公告详情
		getupStatusAnnouncementInfo: (params = '') => vm.$u.get(
			`/System/Announcement/getupStatusAnnouncementInfo`, params),
		// 盘点单
		getAllStocktaking: (params = '') => vm.$u.post(`/Stock/Stocktaking/getAllStocktaking`, params),
		// 盘点单审核
		auditStocktaking: (id, params = '') => vm.$u.post(`/Stock/Stocktaking/auditStocktaking/${id}`, params),
		// 盘点单编辑
		updateStocktaking: (id, params = '') => vm.$u.post(`/Stock/Stocktaking/updateStocktaking/${id}`,
			params),
		// 盘点添加
		addStocktaking: (params = '') => vm.$u.post(`/Stock/Stocktaking/addStocktaking`, params),
		// 盘点单搜索
		searchAllStocktaking: (params = '') => vm.$u.post(`/Stock/Stocktaking/searchAllStocktaking`, params),
		// 盘点单详情
		getStocktakingInfo: (id, params = '') => vm.$u.get(`/Stock/Stocktaking/getStocktakingInfo/${id}`,
			params),
		// 商品销售报表
		goods: (params = '') => vm.$u.post(`/Charts/Charts/goods`, params),
		// 客户商品报表
		customerGoods: (params = '') => vm.$u.post(`/Charts/Charts/customerGoods`, params),
		// 报损单
		getAllReportLoss: (params = '') => vm.$u.post(`/Stock/ReportLoss/getAllReportLoss`, params),
		// 报损单删除
		deleteReportLoss: (id, params = '') => vm.$u.post(`/Stock/ReportLoss/deleteReportLoss/${id}`, params),
		// 报损单详情
		getReportLossInfo: (id, params = '') => vm.$u.post(`/Stock/ReportLoss/getReportLossInfo/${id}`, params),
		// 报损单添加
		addReportLoss: (params = '') => vm.$u.post(`/Stock/ReportLoss/addReportLoss`, params),
		// 报损单审核
		auditReportLoss: (id, params = '') => vm.$u.post(`/Stock/ReportLoss/auditReportLoss/${id}`, params),
		// 调拨单
		getAllAllocate: (params = '') => vm.$u.post(`/Stock/Allocate/getAllAllocate`, params),
		// 调拨单编辑
		updateAllocate: (id, params = '') => vm.$u.post(`/Stock/Allocate/updateAllocate/${id}`, params),
		// 调拨单详情
		getAllocateInfo: (id, params = '') => vm.$u.get(`/Stock/Allocate/getAllocateInfo/${id}`, params),
		// 新增调拨单
		addAllocate: (params = '') => vm.$u.post(`/Stock/Allocate/addAllocate`, params),
		// 调拨单审核
		auditAllocate: (id, params = '') => vm.$u.post(`/Stock/Allocate/auditAllocate/${id}`, params),
		// 调拨单搜索
		searchAllocate: (params = '') => vm.$u.post(`/Stock/Allocate/searchAllocate`, params),
		//调拨删除
		deleteAllocate: (id, params = '') => vm.$u.post(`/Stock/Allocate/deleteAllocate/${id}`, params),
		// 客户订单报表
		customerOrder: (params = '') => vm.$u.post(`/Charts/Charts/customerOrder`, params),
		// 订单数据报表
		order: (params = '') => vm.$u.post(`/Charts/Charts/order`, params),
		// 地区订单报表
		areaOrder: (params = '') => vm.$u.post(`/Charts/Charts/areaOrder`, params),
		// 拜访报表
		getAllCustomerVisit: (params = '') => vm.$u.post(`/Customer/CustomerCommunication/getAllCustomerVisit`,
			params),
		// 拜访报表
		getCustomerCallOnReportForm: (params = '') => vm.$u.post(
			`/Customer/CustomerCommunication/getCustomerCallOnReportForm`,
			params),
		// 拜访明细
		getCustomerVisitInfo: (params = '') => vm.$u.post(
			`/Customer/CustomerCommunication/getCustomerVisitInfo`, params),

		// 退款单列表
		getAllRefund: (params = '') => vm.$u.post(`Finance/Refund/getAllRefund`, params),
		// 退款单详情
		getRefundInfo: (params = '') => vm.$u.post(`Finance/Refund/getRefundInfo`, params),
		// 退款单审核
		updateRefundStatus: (params = '') => vm.$u.post(`Finance/Refund/updateRefundStatus`, params),
		// 退款单新增
		addRefund: (params = '') => vm.$u.post(`Finance/Refund/addRefund`, params),
		// 客户分布图
		getCustomerDistributed: (params = '') => vm.$u.post(`Customer/Customer/getCustomerDistributed`, params),

		// 账户管理明细
		getAllAccountDetail: (params = '') => vm.$u.post(`/Finance/AccountDetail/getAllAccountDetail`, params),
		// 账户管理详情
		getAccountInfo: (id, params = '') => vm.$u.post(`/Finance/Account/getAccountInfo/${id}`, params),
		// 账户管理删除
		delAccount: (id, params = '') => vm.$u.post(`/Finance/Account/delAccount/${id}`, params),
		// 账户管理禁用启用
		updateAccountStatus: (params = '') => vm.$u.post(`Finance/Account/updateAccountStatus`, params),
		// 账户管理新增
		addAccount: (params = '') => vm.$u.post(`/Finance/Account/addAccount`, params),
		// 账户管理新增
		editAccount: (id, params = '') => vm.$u.put(`/Finance/Account/editAccount/${id}`, params),
		//财务类型列表（不含分页）
		getAllFinanceTypeNoPage: (id, params = '') => vm.$u.get(
			`/Finance/FinanceType/getAllFinanceTypeNoPage/${id}`, params),
	};
}

export default {
	install
}
